#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Sun May  1 13:27:28 2022

@author: elena
"""

#Not in use atm
class Market():
    def __init__(self):
        self.id = -1
        self.name = ''
        self.street = ''
        self.street_number = 0
        self.zip = 0
        self.city = ''
        self.phone = ''
        
class noDBArticle():
    def __init__(self):
        self.id = -1
        self.articleId = -1
        self.name = ''
        self.quantity = 0
        self.price = 0.0
        self.nameString = ''
        self.nameBBox = None
        self.priceString = ''
        self.priceBBox = None
        
    def __hash__(self):
        return hash((self.id, self.name))

    def __eq__(self, other):
        if not isinstance(other, type(self)): 
            return NotImplemented
        return self.id == other.id and self.name == other.name
    
        
        